Retrieves GHG factors grouped by category (obsolete — use V202307 GetGHGFactors)
Use this endpoint to get all GHG emission factors organized by their categories.
Requires GHG license. Replaced by V202307 GetGHGFactors which supports filtering and pagination.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
GHGFactorCategoryResponseV202210
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| factorCategoryId | The Factor Category identifier | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||
| factorCategoryInfo | The Factor Category Info | string | |||||||||||||||||||||||||||||||||||||||||||||
| factors | The Factors attached to a Category | GHGFactorByCategoryChildV202210[] | |||||||||||||||||||||||||||||||||||||||||||||
|
GHGFactorByCategoryChildV202210 properties
|
|||||||||||||||||||||||||||||||||||||||||||||||
Example Response
[
{ "factorCategoryId": 1, "factorCategoryInfo": "string", "factors": [
{ "commodity": {}, "factorDescription": "string", "factorId": 1, "factorInfo": "string"
}
]
}
]